cdybedahl: (Default)
cdybedahl ([personal profile] cdybedahl) wrote in [staff profile] denise 2012-07-17 04:48 pm (UTC)

What? No, 5.12 and up do not assume strict by default:


kadath:~% perl -E '$foo = "Hello, sailor!"; say $foo;'    
Hello, sailor!
kadath:~% perl -v                                         

This is perl 5, version 16, subversion 0 (v5.16.0) built for darwin-thread-multi-2level

Copyright 1987-2012, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

kadath:~% 


They do turn on strict if you explicitly ask for version 5.12 or higher with "use 5.12.0;", though. May that have been what he meant?

Post a comment in response:

From:
Anonymous
OpenID
Identity URL: 
User
Account name:
Password:
If you don't have an account you can create one now.
Subject:
HTML doesn't work in the subject.

Message:

If you are unable to use this captcha for any reason, please contact us by email at support@dreamwidth.org


 
Notice: This account is set to log the IP addresses of everyone who comments.
Links will be displayed as unclickable URLs to help prevent spam.